package com.goomood.phm.service;

import java.util.List;
import com.goomood.phm.domain.BasicDeviceType;

/**
 * 设备类型Service接口
 * 
 * @author goomood
 * @date 2024-11-16
 */
public interface IBasicDeviceTypeService 
{
    /**
     * 查询设备类型
     * 
     * @param id 设备类型主键
     * @return 设备类型
     */
    public BasicDeviceType selectBasicDeviceTypeById(Long id);

    /**
     * 查询设备类型列表
     * 
     * @param basicDeviceType 设备类型
     * @return 设备类型集合
     */
    public List<BasicDeviceType> selectBasicDeviceTypeList(BasicDeviceType basicDeviceType);

    /**
     * 新增设备类型
     * 
     * @param basicDeviceType 设备类型
     * @return 结果
     */
    public int insertBasicDeviceType(BasicDeviceType basicDeviceType);

    /**
     * 修改设备类型
     * 
     * @param basicDeviceType 设备类型
     * @return 结果
     */
    public int updateBasicDeviceType(BasicDeviceType basicDeviceType);

    /**
     * 批量删除设备类型
     * 
     * @param ids 需要删除的设备类型主键集合
     * @return 结果
     */
    public int deleteBasicDeviceTypeByIds(Long[] ids);

    /**
     * 删除设备类型信息
     * 
     * @param id 设备类型主键
     * @return 结果
     */
    public int deleteBasicDeviceTypeById(Long id);
}
